$!-----------------------------------------------------------------------------
$! CREATE_CLEAN.COM
$!
$! "Reset" all files associated with WASD certificate generation.
$! If P1 is empty then reset certificates, if "CA" reset all files.
$! This procedure is very "quick-and-dirty", use with that in mind!
$!
$! 07-APR-2001  MGD  OPENSSL-0_9_6A
$! 25-SEP-2000  MGD  OPENSSL-0_9_6
$! 04-JUN-1999  MGD  OPENSSL-0_9_5 (adapted from earlier procedures)
$! 17-AUG-1999  MGD  refinement
$!-----------------------------------------------------------------------------
$!
$ certDir = "[.CERT]"
$ workDir = "[.CERT.WORK]"
$!
$ say = "write sys$output"
$ procedure = f$environment("procedure") - "000000."
$ newDefault = f$parse(procedure,,,"device") + f$parse(procedure,,,"directory")
$ prevDefault = f$environment("default")
$ set default 'newDefault'
$!
$ say ""
$ say f$fao("!80*-")
$ say "DELETE ALL SERVER CERTIFICATES - CAUTION!"
$ say f$fao("!80*-")
$ say ""
$ say ""
$ read sys$command line /error=caError /end=caCleanup /prompt="OK? [No]: "
$ if line .eqs. "" then line = "no"
$ if .not. line then goto caExit
$!
$ delete /log /exclude='certDir'_*.*;* 'certDir'*.PEM;*, -
                                       'certDir'*.CRT;*
$!
$ say ""
$ say f$fao("!80*-")
$ say "DELETE ALL CERTIFICATE AUTHORITY FILES - EXTREME CAUTION!!"
$ say f$fao("!80*-")
$ say ""
$ say ""
$ read sys$command line /error=caError /end=caCleanup /prompt="OK? [No]: "
$ if line .eqs. "" then line = "no"
$ if .not. line then goto caExit
$!
$ delete /log 'certDir'_CACERT.PEM;*, -
              'certDir'_CACERT.CRT;*, -
              'certDir'_CAKEY.PEM;*
$ delete /log 'workDir'SERIAL.*;*, -
              'workDir'INDEX.*;*, -
              'workDir'RAND.DAT;*
$!
$ caExit:
$ say ""
$ set default 'prevDefault'
$!
$!-----------------------------------------------------------------------------
